Package qsardes.descriptor.qsarme

# Class QsarMETopologicalCharge

java.lang.Object
qsardes.descriptor.DescriptorTopologicalCharge
qsardes.descriptor.qsarme.QsarMETopologicalCharge

All Implemented Interfaces:
  `Descriptor`

public final class QsarMETopologicalCharge extends DescriptorTopologicalCharge
Topological charge descriptors (QSAR-ME Profiler 2025).
Calculates topological charge descriptors.
GGI# - Order # topological charge index.
JGI# - Order # mean topological charge index.
# is the order spanning from 1 to 10.
JGT - Global topological charge index.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `QsarMETopologicalCharge()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `calc_mean_topol_charge_index(double[] topol_charge_index, int[][] topo_matr)`
  `protected double[]`
  `get_topol_charge_index(double[][] charge_term_matr, int[][] topo_matr)`
  `protected double[]`
  `get_vert_num(int[][] topo_matr)`

  ### Methods inherited from class qsardes.descriptor.DescriptorTopologicalCharge

  `build_name, get_descriptor_names, get_descriptor_type, get_descriptor_values, get_ggi_map, get_jgi_map, get_jgt_map, get_order_list, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### QsarMETopologicalCharge

    public QsarMETopologicalCharge()

- ## Method Details

  - ### get_topol_charge_index

    protected double[] get_topol_charge_index(double[][] charge_term_matr, int[][] topo_matr)
    Specified by:
      `get_topol_charge_index` in class `DescriptorTopologicalCharge`

  - ### calc_mean_topol_charge_index

    protected void calc_mean_topol_charge_index(double[] topol_charge_index, int[][] topo_matr)
    Specified by:
      `calc_mean_topol_charge_index` in class `DescriptorTopologicalCharge`

  - ### get_vert_num

    protected double[] get_vert_num(int[][] topo_matr) throws NumberFormatException
    Specified by:
      `get_vert_num` in class `DescriptorTopologicalCharge`
    Throws:
      `NumberFormatException`